org.eclipse.swt.accessibility

## Interface AccessibleListener

All Superinterfaces:
  EventListener, SWTEventListener

All Known Implementing Classes:
  AccessibleAdapter

    public interface AccessibleListener
    extends SWTEventListener

Classes that implement this interface provide methods that deal with the events that are generated when an accessibility client sends a message to a control.

After creating an instance of a class that implements this interface it can be added to a control using the `addAccessibleListener` method and removed using the `removeAccessibleListener` method. When a client requests information, the appropriate method will be invoked.

Note: Accessibility clients use child identifiers to specify whether they want information about a control or one of its children. Child identifiers are increasing integers beginning with 0. The identifier CHILDID_SELF represents the control itself.

Since:
  2.0
See Also:
  `AccessibleAdapter`, `AccessibleEvent`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`void` `getDescription(AccessibleEvent e)` Sent when an accessibility client requests a description of the control, or a description of a child of the control.
`static AccessibleListener` `getDescriptionAdapter(Consumer<AccessibleEvent> c)` Static helper method to create a `AccessibleListener` for the `getDescription(AccessibleEvent e)`) method with a lambda expression.
`void` `getHelp(AccessibleEvent e)` Sent when an accessibility client requests the help string of the control, or the help string of a child of the control.
`static AccessibleListener` `getHelpAdapter(Consumer<AccessibleEvent> c)` Static helper method to create a `AccessibleListener` for the `getHelp(AccessibleEvent e)`) method with a lambda expression.
`void` `getKeyboardShortcut(AccessibleEvent e)` Sent when an accessibility client requests the keyboard shortcut of the control, or the keyboard shortcut of a child of the control.
`static AccessibleListener` `getKeyboardShortcutAdapter(Consumer<AccessibleEvent> c)` Static helper method to create a `AccessibleListener` for the `getKeyboardShortcut(AccessibleEvent e)`) method with a lambda expression.
`void` `getName(AccessibleEvent e)` Sent when an accessibility client requests the name of the control, or the name of a child of the control.
`static AccessibleListener` `getNameAdapter(Consumer<AccessibleEvent> c)` Static helper method to create a `AccessibleListener` for the `getName(AccessibleEvent e)`) method with a lambda expression.

### Method Detail

#### getName

    void getName(AccessibleEvent e)

Sent when an accessibility client requests the name of the control, or the name of a child of the control.

Return the name of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a name, and returning null tells the client to use the platform name.

Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested name string, or null

#### getHelp

    void getHelp(AccessibleEvent e)

Sent when an accessibility client requests the help string of the control, or the help string of a child of the control.

The information in this property should be similar to the help provided by toolTipText. It describes what the control or child does or how to use it, as opposed to getDescription, which describes appearance.

Return the help string of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a help string, and returning null tells the client to use the platform help string.

Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested help string, or null

#### getKeyboardShortcut

    void getKeyboardShortcut(AccessibleEvent e)

Sent when an accessibility client requests the keyboard shortcut of the control, or the keyboard shortcut of a child of the control.

A keyboard shortcut can either be a mnemonic, or an accelerator. As a general rule, if the control or child can receive keyboard focus, then you should expose its mnemonic, and if it cannot receive keyboard focus, then you should expose its accelerator.

Return the keyboard shortcut string of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a keyboard shortcut string, and returning null tells the client to use the platform keyboard shortcut string.

Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested keyboard shortcut string (example: "ALT+N"), or null

#### getDescription

    void getDescription(AccessibleEvent e)

Sent when an accessibility client requests a description of the control, or a description of a child of the control.

This is a textual description of the control or child's visual appearance, which is typically only necessary if it cannot be determined from other properties such as role.

Return the description of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a description, and returning null tells the client to use the platform description.

Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested description string, or null

#### getNameAdapter

    static AccessibleListener getNameAdapter(Consumer<AccessibleEvent> c)

Static helper method to create a `AccessibleListener` for the `getName(AccessibleEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  AccessibleListener
Since:
  3.106

#### getHelpAdapter

    static AccessibleListener getHelpAdapter(Consumer<AccessibleEvent> c)

Static helper method to create a `AccessibleListener` for the `getHelp(AccessibleEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  AccessibleListener
Since:
  3.106

#### getKeyboardShortcutAdapter

    static AccessibleListener getKeyboardShortcutAdapter(Consumer<AccessibleEvent> c)

Static helper method to create a `AccessibleListener` for the `getKeyboardShortcut(AccessibleEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  AccessibleListener
Since:
  3.106

#### getDescriptionAdapter

    static AccessibleListener getDescriptionAdapter(Consumer<AccessibleEvent> c)

Static helper method to create a `AccessibleListener` for the `getDescription(AccessibleEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  AccessibleListener
Since:
  3.106